Bug 120472 - (AIRO) airo driver fails
Summary: (AIRO) airo driver fails
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FCMETA_ACPI
TreeView+ depends on / blocked
 
Reported: 2004-04-09 02:57 UTC by Bill Nottingham
Modified: 2015-01-04 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 20:01:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log message trimmed to the bootup and airo card error (30.39 KB, text/plain)
2005-05-05 19:36 UTC, Bryan W Clark
no flags Details
Entire messages file in case it's useful to see everything (183.65 KB, text/plain)
2005-05-09 17:41 UTC, Bryan W Clark
no flags Details

Description Bill Nottingham 2004-04-09 02:57:02 UTC
2.6.5-1.308

Suspend with ACPI, and then resume.

1) it resumes. Yay. :)

2) the airo driver is now very confused.

Anything, from running 'ifconfig' to 'rmmod airo', to 'iwconfig',
yields kernel messages like:

Apr  8 22:50:57 nostromo kernel: airo: cmd= 21
Apr  8 22:50:57 nostromo kernel: airo: status= 7f21
Apr  8 22:50:57 nostromo kernel: airo: Rsp0= 21
Apr  8 22:50:57 nostromo kernel: airo: Rsp1= ff11
Apr  8 22:50:57 nostromo kernel: airo: Rsp2= 22

and none of them work. The packet counters are all exceedingly random,
and exceedingly large.

Comment 1 Bryan W Clark 2005-05-05 19:35:36 UTC
I'm getting this same error without suspending.  The network just seems to go
down after some usage and then I need to reboot in order to get wireless back. 
I'll attach the log data.

Comment 2 Bryan W Clark 2005-05-05 19:36:18 UTC
Created attachment 114067 [details]
Log message trimmed to the bootup and airo card error

Comment 3 Bryan W Clark 2005-05-09 17:41:23 UTC
Created attachment 114167 [details]
Entire messages file in case it's useful to see everything

Comment 4 Dan Williams 2005-05-09 18:35:27 UTC
Bill:

Your specific command response (status & 0x7f00 means "error", Rsp0 is the error
code, AFAICT) means "Descriptor Unavailable".  I'm fairly sure the module needs
to put the hardware to sleep and then wake it back up, which it's probably not
doing.



Comment 5 Dave Jones 2005-10-05 23:48:56 UTC
is this any better these days ?
It's been a while, so the optimist in me is hoping..


Comment 6 Dan Williams 2005-10-06 15:25:13 UTC
A lot of bugs with Airo cards dropping out like this were found to be firmware
related.  If you update the firmware to something like 5.60.08 (which I've done
for a few people in desktop) most problems like this will go away...

Feel free to close as appropriate, I'd say its a firmware issue. 
5.00.03/5.00.02 is known to not work very well at all.

Comment 7 Bill Nottingham 2005-10-07 01:35:45 UTC
I threw out the airo for ipw2200 a long time ago. Things work much better now. :)


Note You need to log in before you can comment on or make changes to this bug.